@import "../assets/styles/variables.scss";

.container {
  border: $default-border;
  width: 466px;
  height: 266px;
  padding: 16px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

@mixin paddle {
  border: $default-border;
  height: 78px;
  width: 18px;
}

.paddle--left {
  @include paddle;
}

.paddle--right {
  @include paddle;
}

.ball-zone {
  width: 100%;
  height: 100%;
  display: flex;
}

.ball {
  border: $default-border;
  background-color: $palette-color-blue;
  height: 18px;
  width: 18px;
}

// View 1 active state
.one--active {
  .paddle--left {
    background-color: $palette-color-red;
  }
  .ball-zone {
    flex-direction: row;
    .ball {
      margin-top: 30px;
    }
  }
}

// View 2 active state
.two--active {
  .paddle--right {
    align-self: center;
  }
  .ball-zone {
    flex-direction: row;
    justify-content: center;
    align-items: center;
  }
}

// View 3 active state
.three--active {
  .paddle--right {
    background-color: $palette-color-red;
    align-self: flex-end;
  }
  .ball-zone {
    flex-direction: row;
    justify-content: flex-end;
    .ball {
        align-self: flex-end;
        margin-bottom: 30px;
    }
  }
}
